
Redmine - Feature #37617

Add description field to custom fields API

2022-08-29 18:26 - Holger Just

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 5.1.0   

Resolution: Fixed   

Description

The description field is missing from the API response of custom_fields#index.

The attached patch adds this field.

Associated revisions

Revision 21793 - 2022-09-01 07:25 - Go MAEDA

Add description field to custom fields API (#37617).

Patch by Holger Just and Go MAEDA.

History

#1 - 2022-08-30 01:06 - Go MAEDA

- Target version set to Candidate for next major release

#2 - 2022-08-30 09:46 - Go MAEDA

- File test-for-37617.patch added

- Category changed from Custom fields to REST API

- Target version changed from Candidate for next major release to 5.1.0

Setting the target version to 5.1.0.

#3 - 2022-08-30 12:03 - Holger Just

Thanks for adding the test, Maeda-san. Unfortunately, I did not immediately find where the API was tested.

#4 - 2022-09-01 07:25 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.

#5 - 2023-10-30 11:03 - Go MAEDA

- Tracker changed from Patch to Feature

- Resolution set to Fixed

Files

0001-Add-description-field-to-custom-fields-API.patch 904 Bytes 2022-08-29 Holger Just

test-for-37617.patch 1.02 KB 2022-08-30 Go MAEDA
